#!/bin/bash

##############################################################################
#
# SCRIPT:       grass7.install.sh
#
# AUTHORS:      Matthias Benedikt, Jan-Thomas Fischer,
#               Andreas Huber and Martin Mergili
#
# PURPOSE:      Installation script for GRASS 7 (dev package), R
#               and complementary packages on Ubuntu 16.04 (14.04,12.04) 
#
# COPYRIGHT:    (c) 2010 - 2016 by the authors
#               (c) 2010 - 2016 by the BOKU University, Vienna
#               (c) 2015 - 2016 by the University of Vienna
#               (c) 2016        by the BFW, Innsbruck
#
# VERSION:      20160727
#
#               This program is free software under the GNU General Public
#               License (>=v2).
#
##############################################################################


#Installing necessary additional package
sudo apt-get install libgeos-dev

#Installing GRASS GIS (dev package)
sudo apt-get update
sudo apt-get install grass-dev

#Installing GRASS GUI (wxpython)
sudo apt-get install grass-gui

#Installing R statistical software
sudo echo "deb http://cran.rstudio.com/bin/linux/ubuntu xenial/" | sudo tee -a /etc/apt/sources.list
gpg --keyserver keyserver.ubuntu.com --recv-key E084DAB9
gpg -a --export E084DAB9 | sudo apt-key add -
sudo apt-get install r-base r-base-dev

#Installing necessary additional R packages
echo 'install.packages(c("stats","sp","rgeos","rgdal","raster","maptools","ROCR"), Sys.getenv("R_LIBS_USER"), repos = "http://cran.case.edu" )' > install.packages.R
R CMD BATCH install.packages.R

#Terminating sudo mode
sudo -k
clear
